#include <bits/stdc++.h>
using namespace std;

int main(){
    int T, N;
    scanf("%i", &T);

    for( int x = 1; x <= T; x++ ) {
        scanf("%i", &N);

        for( int j = 1; j <= N; j++ ) {
            printf("%i ", j);
        }

        printf("\n");

        for( int i = N; i >= 1; i-- ) {
            printf("-%i ", i);
        }

        printf("\nDA\n");

    }
    return 0;
}